<?php
/**
 * @package		HUBzero CMS
 * @author		Alissa Nedossekina <alisa@purdue.edu>
 * @copyright	Copyright 2005-2009 HUBzero Foundation, LLC.
 * @license		http://opensource.org/licenses/MIT MIT
 *
 * Copyright 2005-2009 HUBzero Foundation, LLC.
 * All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */

namespace Components\Publications\Models;

use Hubzero\Base\Object;

/**
 * Publication DOI metadata base class
 */
class Metadata extends Object
{
	/**
	 *  Object title
	 */
	var $title						= NULL;

	/**
	 * Object abstract
	 */
	var $abstract					= NULL;

	/**
	 * Object description
	 */
	var $description				= NULL;

	/**
	 * Object dc type
	 */
	var $type						= NULL;

	/**
	 * URL to resource
	 */
	var $url						= NULL;

	/**
	 * URL to resource
	 */
	var $doi						= NULL;

	/**
	 * Publisher
	 */
	var $publisher					= NULL;

	/**
	 * Journal
	 */
	var $journal					= NULL;

	/**
	 * Subject
	 */
	var $subject					= NULL;

	/**
	 * Language
	 */
	var $language					= NULL;

	/**
	 * Format
	 */
	var $format						= NULL;

	/**
	 * Date
	 */
	var $date						= NULL;

	/**
	 * Date
	 */
	var $issued						= NULL;

	/**
	 * Volume
	 */
	var $volume						= NULL;

	/**
	 * Issue
	 */
	var $issue						= NULL;

	/**
	 * Page
	 */
	var $page						= NULL;

	/**
	 * ISBN
	 */
	var $isbn						= NULL;

	/**
	 * Author
	 */
	var $author						= NULL;
}