<?php
/**
 * @package		HUBzero CMS
 * @author		Alissa Nedossekina <alisa@purdue.edu>
 * @copyright	Copyright 2005-2009 HUBzero Foundation, LLC.
 * @license		http://opensource.org/licenses/MIT MIT
 *
 * Copyright 2005-2009 HUBzero Foundation, LLC.
 * All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */

// No direct access
defined('_HZEXEC_') or die();

$database = \App::get('db');

// Get version authors
$pa = new \Components\Publications\Tables\Author( $database );
?>

<ul class="mypubs">
<?php

foreach ($this->results as $row)
{
	// Get version authors
	$authors = $pa->getAuthors($row->version_id);

	$info = array();
	$info[] = Date::of($row->published_up)->toLocal('d M Y');
	$info[] = $row->cat_name;
	$info[] = Lang::txt('COM_PUBLICATIONS_CONTRIBUTORS') . ': '
		. \Components\Publications\Helpers\Html::showContributors( $authors, false, true );

	// Display List of items
	$this->view('_item')
	     ->set('option', 'com_publications')
	     ->set('row', $row)
	     ->set('info', $info)
	     ->display();
}
?>
</ul>